Subject: ? about log
From: "Mike" <[email-masked]>
To: "Steve Tingiris" <[email-masked]>
Date: Fri, 16 May 2008 08:03:30 -0400

Steve,
As I have indicated before, I still see the need for a time and date stamp and something that tracks progress separate from the messaging.  A perfect example is when I looked at the Overview today and noticed it no longer displays the To-Do tasks that we (you)added.  The more current messages pushed these off the page.  You can still access the To-Do list but again there is nothing showing any indicator of when this was posted, if anyone is taking the task or if anyone has even looked at it.  I believe you moved all of the requests into the To-Do list about 2 weeks ago.  Steve Fata called me inquiring about one of the tasks that is on that list.  I told him that it was on the list but it was not completed.  It may be close or not started but only Mike G. would know that.  Do you think something can be added to see progress.  I really think it would improve in the overall communication and purpose of all of this.  Let me know your thoughts on this.
Thank you,
Mike - LLPS
 
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]